<div class="container">
    <form #towerform="ngForm" (ngSubmit)="towerform.valid && onCrt(towerform)">
      <h1>Create Tower</h1>
      <div class="container forms">
      <div class="row">
    <div class="form-group col-md-6">
      <input type="text" placeholder="Enter Tower Name" [(ngModel)]="towers.name" #name="ngModel" class="form-control" name="username" required>
      <div class="validation-error" *ngIf="name.invalid && name.touched">*This field is mandatory</div>
    </div>
    <div class="form-group col-md-6">
        <input type="text" placeholder="Enter tower description" [(ngModel)]="towers.description" class="form-control" name="usermail">
    </div>
    </div>
    <div class="row">
    <div class="form-group col-md-6">
          <input type="text" placeholder="Enter towewr latitude" [(ngModel)]="towers.latitude" class="form-control" name="useraddress">
    </div>
    <div class="form-group col-md-6">
          <input type="text" placeholder="Enter tower longitude" [(ngModel)]="towers.longitude" class="form-control" name="userpassword">
    </div>
    </div>
    <div class="row">
    <div class="form-group col-md-6 ">
        <input type="text" placeholder="Retype Your range" [(ngModel)]="towers.range" class="form-control" name="userrepassword">
    </div>
    </div>
    <div class="row ">
      <div class="col-md-6 ">
        <button [disabled]="!towerform.valid" type="submit" class="btn btn-success btn-block " (click)="onSubmit()"><i class="fa fa-floppy-o"></i>Submit</button>
      </div>
      <div class="col-md-6 ">
          <button  type="submit" class="btn btn-info buttons btn-block" (click)="onBack()">Back</button>
      </div>
    </div>
    <br/>
    </div>
    </form>
    </div>

